import { DefineApiModule, System } from 'api-type'

const SystemApi: DefineApiModule<System.ApiMap> = {
  /** 评卷数据导入 */
  importMarkingData: {
    url: '/api/student/import',
    headers: {
      'Content-Type': 'multipart/form-data',
    },
  },
  /** 获取培训卷RF卷评分标准路径 */
  getImportFilePath: '/api/reference/paper/file/path',
  /** 导入培训卷 */
  importSamplePaper: {
    url: '/api/reference/paper/import/samp',
    headers: {
      'Content-Type': 'multipart/form-data',
    },
  },
  /** 导入培训卷 */
  importRfPaper: {
    url: '/api/reference/paper/import/rf',
    headers: {
      'Content-Type': 'multipart/form-data',
    },
  },
  /** 导入评分标准 */
  importMarkStandard: {
    url: '/xxx/xx',
    headers: {
      'Content-Type': 'multipart/form-data',
    },
  },
  /** CET成绩列表 */
  getCetScoreList: '/api/student/page',
  /** CET成绩导出接口 */
  exportCetScoreList: {
    url: '/api/student/export',
    download: true,
  },
}

export default SystemApi
